// Code generated by mockery v2.14.0. DO NOT EDIT.

package mocks

import (
	event "github.com/cloudevents/sdk-go/v2/event"
	common "gitlab.com/cyverse/cacao-common/common"

	mock "github.com/stretchr/testify/mock"
)

// Reply is an autogenerated mock type for the Reply type
type Reply struct {
	mock.Mock
}

// ToCloudEvent provides a mock function with given fields: source, providerPrefix
func (_m *Reply) ToCloudEvent(source string, providerPrefix common.QueryOp) (event.Event, error) {
	ret := _m.Called(source, providerPrefix)

	var r0 event.Event
	if rf, ok := ret.Get(0).(func(string, common.QueryOp) event.Event); ok {
		r0 = rf(source, providerPrefix)
	} else {
		r0 = ret.Get(0).(event.Event)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string, common.QueryOp) error); ok {
		r1 = rf(source, providerPrefix)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

type mockConstructorTestingTNewReply interface {
	mock.TestingT
	Cleanup(func())
}

// NewReply creates a new instance of Reply. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewReply(t mockConstructorTestingTNewReply) *Reply {
	mock := &Reply{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
